Update failed with several packages not valid or damaged (PGP signature) errors, any Idea?

Hello, after downloaded 219 files and after the step “verifying the integrity of the packages” I got this error:
error: libx11: the signature of Andreas Radke is not valid

The file /var/cache/pacman/pkg/libx11-1.6.12.-1-x86_64.pkg.tar.zst is damaged (package not valid or damaged (PGP signature))
Do you want to eliminate it? Y/n

So I deleted it, then came other similar errors with other files and my terminal got closed by mistake.
So the installation failed and all files downloaded got lost, losing 2,5 hours, my internet connection is slow. I am downloading all again, but I am afraid is going to fail, What can I do?
Regards

1 Like

Try update your mirrorlist.

sudo reflector --country Germany --latest 15 --age 2 --fastest 20 --protocol https --sort rate --save /etc/pacman.d/mirrorlist

Change the country to your liking. E.g. --country France,Germany
You use last DE? 200831 / 200901 ?

6 Likes

Thanks SGS, I use 200817, fortunately I has lost only the packages with erros, not all the downloadas but those packages are still failing I am going to change repos, as you recommed I will use Germany, but my installation is in Spanish “Ole” :smiley:
Regards

2 Likes
## Spain
Server = https://mirror.cloroformo.org/archlinux/$repo/os/$arch
Server = http://mirror.librelabucm.org/archlinux/$repo/os/$arch
Server = https://mirror.librelabucm.org/archlinux/$repo/os/$arch
Server = https://osl.ugr.es/archlinux/$repo/os/$arch
Server = http://ftp.rediris.es/mirror/archlinux/$repo/os/$arch
Server = http://sharing.thelinuxsect.com/archlinux/$repo/os/$arch
1 Like

I am Spaniard but I am stuck in the north of South America. The German repos allowed to download the missing files. I tried to upgrade a second time, It did it without errors but the upgrade windows close too fast, I could not read when it finished.
Then I issued on Konsole: sudo pacman -Syu
I got this, sorry it is in Spanish, but it is an error:

Tamaño total de la instalación:  3132,07 MiB
Tamaño neto tras actualizar:     205,39 MiB

:: ¿Continuar con la instalación? [S/n] S
(219/219) comprobando las claves del depósito      [-------------------] 100%
(219/219) verificando la integridad de los paquetes       [------------------------------] 100%
(219/219) cargando los archivos de los paquetes           [------------------------------] 100%
(219/219) comprobando conflictos entre archivos           [------------------------------] 100%
error: no se pudo realizar la operación (archivos en conflicto)
mauikit-git: /usr/lib/qt/qml/org/kde/appletdecoration/AuroraeButton.qml ya existe en el sistema
de archivos (es parte de plasma5-applets-window-buttons)
mauikit-git: /usr/lib/qt/qml/org/kde/appletdecoration/libappletdecorationplugin.so ya existe en
el sistema de archivos (es parte de plasma5-applets-window-buttons)
mauikit-git: /usr/lib/qt/qml/org/kde/appletdecoration/qmldir ya existe en el sistema de archivo
s (es parte de plasma5-applets-window-buttons)
Ocurrieron errores, por lo que no se actualizaron los paquetes

In summary: conflicts in some files that “already exist in the system and are part of plasma5-applets-window-buttons” Probably is not a critical error so I will install Wine and a Win Program.
“Errors occurred, so the packages were not updated”

:blush:

1 Like

sudo pacman -Syu --overwrite "*"

if you put ‘LANG=C’ in front it will translate to english

4 Likes

Thanks, learning every day, I am not a terminal fan I got only one error, the output is big, I only copy a few lines:

 LANG=C  :: Ejecutando los «hooks» de posinstalación...
( 1/33) Creating system user accounts...
( 2/33) Updating journal message catalog...
( 3/33) Reloading system manager configuration...
( 4/33) Updating udev hardware database...
( 5/33) Applying kernel sysctl settings...
Not setting net/ipv4/conf/all/rp_filter (explicit setting exists).
Not setting net/ipv4/conf/default/rp_filter (explicit setting exists).
Not setting net/ipv4/conf/all/accept_source_route (explicit setting exists).
Not setting net/ipv4/conf/default/accept_source_route (explicit setting exists).
Not setting net/ipv4/conf/all/promote_secondaries (explicit setting exists).
Not setting net/ipv4/conf/default/promote_secondaries (explicit setting exists).
Couldn't write '0' to 'kernel/nmi_watchdog': Cannot allocate memory
error: la orden no se ejecutó correctamente
( 6/33) Creating temporary files...
( 7/33) Reloading device manager configuration...
( 8/33) Arming ConditionNeedsUpdate...
( 9/33) Rebuilding certificate stores...
(10/33) Updating module dependencies...
(11/33) Install DKMS modules
==> dkms install --no-depmod -m uvesafb -v 1.0.3 -k 5.8.5-zen1-1-zen
==> depmod 5.8.5-zen1-1-zen
(12/33) Restarting cronie for libc upgrade...
(13/33) Updating linux initcpios...
==> Building image from preset: /etc/mkinitcpio.d/linux-zen.preset: 'default'
  -> -k /boot/vmlinuz-linux-zen -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-zen.img
==> Starting build: 5.8.5-zen1-1-zen
  -> Running build hook: [base]
  -> Running build hook: [udev]
  -> Running build hook: [autodetect]
  -> Running build hook: [modconf]
  -> Running build hook: [block]
  -> Running build hook: [keyboard]
  -> Running build hook: [keymap]
  -> Running build hook: [plymouth]
  -> Running build hook: [filesystems]
==> Generating module dependencies
==> Creating gzip-compressed initcpio image: /boot/initramfs-linux-zen.img
==> Image generation successful
==> Building image from preset: /etc/mkinitcpio.d/linux-zen.preset: 'fallback'
  -> -k /boot/vmlinuz-linux-zen -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-zen-fallback.img -S autodetect
==> Starting build: 5.8.5-zen1-1-zen
  -> Running build hook: [base]
  -> Running build hook: [udev]
  -> Running build hook: [modconf]
  -> Running build hook: [block]
==> WARNING: Possibly missing firmware for module: xhci_pci
  -> Running build hook: [keyboard]
  -> Running build hook: [keymap]
  -> Running build hook: [plymouth]
  -> Running build hook: [filesystems]
==> Generating module dependencies
==> Creating gzip-compressed initcpio image: /boot/initramfs-linux-zen-fallback.img
==> Image generation successful
(14/33) Cleaning pacman cache...

The error is:

Not setting net/ipv4/conf/default/promote_secondaries (explicit setting exists).
Couldn’t write ‘0’ to ‘kernel/nmi_watchdog’: Cannot allocate memory
error: the order was not executed correctly
( 6/33) Creating temporary files…

I restarted the system, it looks good. By the way beautiful wallpapers, I feel at home :slight_smile:
I will install Wine my old 2 win programs and probably Onlyoffice or WPS and test Affinity Photo.
Thanks a lot for your help, and have a good night, it must be very late in Germany.

5 Likes

This is the 4 time I update and it works perfectly, no errors!:

sudo pacman -Syu
[sudo] password for joejac:
:: Sincronizando las bases de datos de los paquetes…
core está actualizado
extra está actualizado
community 5,1 MiB 128 KiB/s 00:41 [------------------------------] 100%
multilib está actualizado
chaotic-aur 1284,5 KiB 130 KiB/s 00:10 [------------------------------] 100%
:: Iniciando actualización completa del sistema…
…el sistema ya está actualizado. << “THE SYSTEM IS ALREADY UPDATED”!! NO ERRORS

Thanks!!
:+1:t2:

3 Likes

I installed Garuda Linux and tried to update but got an error database update failed. Then I checked the mirror list. All were commented. So I tried to un-comment some mirror list and tried to run the update command. But I got the same error. Until I saw your solution.

I really want to thank you for this. My Question is why are the update mirrors commented? For a first time user it becomes some what difficult. .